libsigc++ 2.99.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
sigc::compose2_functor< T_setter, T_getter1, T_getter2 > Struct Template Reference
Adaptors » compose()

Adaptor that combines three functors. More...

`#include <sigc++/adaptors/compose.h>`

Inheritance diagram for sigc::compose2_functor< T_setter, T_getter1, T_getter2 >:
[legend]

## Public Types
using | adaptor_type = typename adapts< T_setter >::adaptor_type
using | getter1_type = T_getter1
using | getter2_type = T_getter2
using | result_type = typename adaptor_type::result_type
using | setter_type = T_setter
Public Types inherited from sigc::adapts< T_setter >
using | adaptor_type = typename adaptor_trait< T_setter >::adaptor_type
using | result_type = typename adaptor_trait< T_setter >::result_type

## Public Member Functions
| compose2_functor (const T_setter& _A_setter, const T_getter1& _A_getter1, const T_getter2& _A_getter2)
| Constructs a compose2_functor object that combines the passed functors. More...
decltype(auto) | operator() ()
template<class... T_arg>
decltype(auto) | operator() (T_arg..._A_a)
Public Member Functions inherited from sigc::adapts< T_setter >
| adapts (const T_setter& _A_functor)
| Constructs an adaptor that wraps the passed functor. More...

## Public Attributes
getter1_type | get1_
getter2_type | get2_
Public Attributes inherited from sigc::adapts< T_setter >
adaptor_type | functor_
| Adaptor that is invoked from operator()(). More...

## Detailed Description

### template<class T_setter, class T_getter1, class T_getter2>
struct sigc::compose2_functor< T_setter, T_getter1, T_getter2 >

Adaptor that combines three functors.

Use the convenience function sigc::compose() to create an instance of sigc::compose2_functor.

The following template arguments are used:

- T_setter Type of the setter functor to wrap.
- T_getter1 Type of the first getter functor to wrap.
- T_getter2 Type of the second getter functor to wrap.

## Member Typedef Documentation

template <class T_setter , class T_getter1 , class T_getter2 >

using sigc::compose2_functor< T_setter, T_getter1, T_getter2 >::adaptor_type = typename adapts<T_setter>::adaptor_type

template <class T_setter , class T_getter1 , class T_getter2 >

using sigc::compose2_functor< T_setter, T_getter1, T_getter2 >::getter1_type = T_getter1

template <class T_setter , class T_getter1 , class T_getter2 >

using sigc::compose2_functor< T_setter, T_getter1, T_getter2 >::getter2_type = T_getter2

template <class T_setter , class T_getter1 , class T_getter2 >

using sigc::compose2_functor< T_setter, T_getter1, T_getter2 >::result_type = typename adaptor_type::result_type

template <class T_setter , class T_getter1 , class T_getter2 >

using sigc::compose2_functor< T_setter, T_getter1, T_getter2 >::setter_type = T_setter

## Constructor & Destructor Documentation

template <class T_setter , class T_getter1 , class T_getter2 >

sigc::compose2_functor< T_setter, T_getter1, T_getter2 >::compose2_functor | ( | const T_setter & | _A_setter,
|  | const T_getter1 & | _A_getter1,
|  | const T_getter2 & | _A_getter2
| ) |  |
| inline

Constructs a compose2_functor object that combines the passed functors.

Parameters

  _A_setter | Functor that receives the return values of the invokation of _A_getter1 and _A_getter2.
  _A_getter1 | Functor to invoke from operator()().
  _A_getter2 | Functor to invoke from operator()().

## Member Function Documentation

template <class T_setter , class T_getter1 , class T_getter2 >

decltype(auto) sigc::compose2_functor< T_setter, T_getter1, T_getter2 >::operator() | ( |  | ) |
| inline

template <class T_setter , class T_getter1 , class T_getter2 >
template <class... T_arg>

decltype(auto) sigc::compose2_functor< T_setter, T_getter1, T_getter2 >::operator() | ( | T_arg... | _A_a | ) |
| inline

## Member Data Documentation

template <class T_setter , class T_getter1 , class T_getter2 >

getter1_type sigc::compose2_functor< T_setter, T_getter1, T_getter2 >::get1_

template <class T_setter , class T_getter1 , class T_getter2 >

getter2_type sigc::compose2_functor< T_setter, T_getter1, T_getter2 >::get2_